%define	name	ldapdns
%define	version	2.04
%define	release	1
%define	serial	1

Summary:	DNS server that pulls data from an LDAP directory
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		System Environment/Daemons
Vendor:		Mrs. Brisby <mrs.brisby@nimh.org>
Url:		http://www.nimh.org/
Source:		%{name}-%{version}.tar.gz
Packager:	Mrs. Brisby <mrs.brisby@nimh.org>
BuildRoot:	/var/tmp/%{name}-%{version}-root
Requires:	openldap

%description
LDAPDNS is a ultra-fast, stable, multithreaded DNS server that pulls
data from an LDAP directory. It supports RFC1279 (bind-style),
Microsoft Active Directory, and it's own directory layouts.

%prep
%setup

%build
EXTRA_CFLAGS="$RPM_OPT_CFLAGS" make

%install
RUN_USER=named FORCE_INITRC=1 NO_DAEMONTOOLS=1 NO_TCPSERVERS=1 INITRC=1 bin=sbin DESTDIR=$RPM_BUILD_ROOT prefix=/usr ./install.sh

%files
%defattr(-,root,root)
/etc/init.d/ldapdns
/etc/init.d/ldapaxfr
%config /etc/sysconfig/ldapdns
/var/lib/ldapdns/axfr
%attr(555,root,root) /usr/sbin/ldapdns
%attr(555,root,root) /usr/sbin/ldapaxfr

%clean
rm -rf $RPM_BUILD_ROOT
